2014-12-22 09:51 EST

View Issue Details Jump to Notes ] Wiki ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0011628mantisbtcustom fieldspublic2010-04-23 14:30
Reporterhansj 
Assigned Todhx 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
Product Version1.2.0 
Target Version1.2.1Fixed in Version1.2.1 
Summary0011628: Error 0001303 / Custom Field (Checkbox) evaluated as mandantory even when it is not
DescriptionWe use a checkbox custom field which is normaly unset.
Since the latest version of Mantis 1.2.0 (1.2.0 2010-03-08-master-1.2.x-402d897) we get an error if we do not set the checkbox. "APPLICATION ERROR 0001303"
Value for the checkbox is "Ja" (string).
Of course the checkbox isn't set to be mandanory.
TagsNo tags attached.
Attached Files

- Relationships
related to 0011610closeddhx Regular expressions to validate custom list field 
has duplicate 0006891closeddhx Problem having custom checkbox field required 
has duplicate 0006610closeddhx Checkbox custom field and required status 
related to 0011684closedvboctor Incorrect error "A necessary field "MyField" was empty. Please recheck your inputs." when submitting new issue 
+ Relationships

-  Notes
User avatar

~0024670

hansj (reporter)

has been working in mantisbt-1.2.0-2010-03-02-master-1.2.x-3cca927
User avatar

~0024671

hansj (reporter)

It might be possible that with implementing a new eval function s/o forget the case that a value is not set (and is allowed to be unset).
This might also affect other custom field types
see /core/custom_field_api.php, 1173cc

                       $t_values = explode( '|', $p_value );
                       $t_possible_values = custom_field_prepare_possible_values( $row['possible_values'] );
                       $t_possible_values = explode( '|', $t_possible_values );
                       $t_invalid_values = array_diff( $t_values, $t_possible_values );
                       $t_valid &= ( count( $t_invalid_values ) == 0 );
                       break;
User avatar

~0024673

atrol (developer)

Please check whether this was introduced by the changes you made for the related bug
User avatar

~0024705

dhx (reporter)

Yep, my bad. I've patched it at long last.

Checkboxes and other custom field types are now properly validated upon reporting and updating issues.

They should also work properly with filtering as well now :)
+  Notes

- Related Changesets
MantisBT: master 375a337d
Timestamp: 2010-03-12 11:42:34
Author: dhx
Details ] Diff ]
Various custom field validation, filtering and performance fixes

This commit is a roll-up of various bug fixes related to custom field
implementations within MantisBT. In particular, multilist, checkbox and
radio fields now work as expected when creating and updating bug reports
as well as upon filtering on these custom field types.

Fix 0011628: Checkbox custom field should allow no selections
Fix 0011561: Reimplement an earlier patch to improve performance
Fix 0011610: Reimplement custom field validation logic (see 0011628)
mod - api/soap/mc_issue_api.php Diff ] File ]
mod - core/custom_field_api.php Diff ] File ]
mod - core/cfdefs/cfdef_standard.php Diff ] File ]
mod - bug_update.php Diff ] File ]
mod - bug_report.php Diff ] File ]
mod - core/filter_api.php Diff ] File ]
MantisBT: master-1.2.x bbe690f3
Timestamp: 2010-03-12 11:42:34
Author: dhx
Details ] Diff ]
Various custom field validation, filtering and performance fixes

This commit is a roll-up of various bug fixes related to custom field
implementations within MantisBT. In particular, multilist, checkbox and
radio fields now work as expected when creating and updating bug reports
as well as upon filtering on these custom field types.

Fix 0011628: Checkbox custom field should allow no selections
Fix 0011561: Reimplement an earlier patch to improve performance
Fix 0011610: Reimplement custom field validation logic (see 0011628)
mod - bug_report.php Diff ] File ]
mod - core/custom_field_api.php Diff ] File ]
mod - api/soap/mc_issue_api.php Diff ] File ]
mod - bug_update.php Diff ] File ]
mod - core/cfdefs/cfdef_standard.php Diff ] File ]
mod - core/filter_api.php Diff ] File ]

+ Related Changesets

- Issue History
Date Modified Username Field Change
2010-03-08 09:25 hansj New Issue
2010-03-08 10:29 hansj Note Added: 0024670
2010-03-08 10:38 hansj Note Added: 0024671
2010-03-08 11:23 atrol Relationship added related to 0011610
2010-03-08 11:25 atrol Note Added: 0024673
2010-03-08 11:25 atrol Assigned To => dhx
2010-03-08 11:25 atrol Status new => assigned
2010-03-08 11:27 atrol Target Version => 1.2.2
2010-03-12 06:50 dhx Resolution open => fixed
2010-03-12 06:50 dhx Fixed in Version => 1.3.0-beta.1
2010-03-12 06:50 dhx Changeset attached master 375a337d =>
2010-03-12 07:26 dhx Note Added: 0024705
2010-03-12 07:26 dhx Status assigned => resolved
2010-03-12 07:26 dhx Fixed in Version 1.3.0-beta.1 => 1.2.2
2010-03-12 07:30 dhx Changeset attached master-1.2.x bbe690f3 =>
2010-03-12 09:44 dhx Relationship added has duplicate 0006891
2010-03-12 09:48 dhx Relationship added has duplicate 0006610
2010-04-23 14:30 jreese Status resolved => closed
2010-12-25 04:00 dhx Relationship added related to 0011684
+ Issue History